#include <iostream>
using namespace std;
int main()
{
    int n, k;
    cin >> n >> k;
    int a[n];
    int rezultati[1000], finalniRezultati[1000];
    int brRez=0, ponavljanja=0, trenutnoPonavljanje, resenja=0;
    for(int i=0; i<n; i++)
        cin >> a[i];
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<n; j++)
        {
            if(a[j] == a[i])
            {
                ponavljanja++;
                trenutnoPonavljanje=a[i];
            }

            if(ponavljanja==k && ponavljanja<k+2 && ponavljanja!=k+1)
            {
                brRez++;
                rezultati[brRez] = trenutnoPonavljanje;
                ponavljanja = 0;
                break;
            }
        }

    }


    for(int i=1;i<=brRez;i++)
        for(int j=i+1;j<=brRez;j++)
            if(rezultati[i]<rezultati[j])
                swap(rezultati[i], rezultati[j]);

    for(int i=1; i<=brRez; i++)
    {
        if(rezultati[i] == rezultati[i+1])
        {
            //nista
        }else
        {
            resenja++;
            finalniRezultati[resenja] = rezultati[i];
        }
    }
    cout  << resenja << endl;;
    for(int i=1;i<=resenja;i++)
        cout << finalniRezultati[i] << " ";
    return 0;
}